Package com.ocient.jdbc.proto

## Interface PlanProtocol.ModifySchemaOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ModifySchemaOperator`, `PlanProtocol.ModifySchemaOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ModifySchemaOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getExpressionNullable​(int index)` Whether or not the expressions are nullable
`int` `getExpressionNullableCount()` Whether or not the expressions are nullable
`List<Boolean>` `getExpressionNullableList()` Whether or not the expressions are nullable
`PlanProtocol.PostfixExpression` `getExpressions​(int index)` The postfix expressions
`int` `getExpressionsCount()` The postfix expressions
`List<PlanProtocol.PostfixExpression>` `getExpressionsList()` The postfix expressions
`PlanProtocol.PostfixExpressionOrBuilder` `getExpressionsOrBuilder​(int index)` The postfix expressions
`List<? extends PlanProtocol.PostfixExpressionOrBuilder>` `getExpressionsOrBuilderList()` The postfix expressions
`String` `getExtendNames​(int index)` The names for the result of each postfix expression
`com.google.protobuf.ByteString` `getExtendNamesBytes​(int index)` The names for the result of each postfix expression
`int` `getExtendNamesCount()` The names for the result of each postfix expression
`List<String>` `getExtendNamesList()` The names for the result of each postfix expression
`String` `getExtendTypes​(int index)` The result data type for each postfix expression
`com.google.protobuf.ByteString` `getExtendTypesBytes​(int index)` The result data type for each postfix expression
`int` `getExtendTypesCount()` The result data type for each postfix expression
`List<String>` `getExtendTypesList()` The result data type for each postfix expression
`long` `getGetRidOfExtends​(int index)` the extendedt columns being projected out
`int` `getGetRidOfExtendsCount()` the extendedt columns being projected out
`List<Long>` `getGetRidOfExtendsList()` the extendedt columns being projected out
`long` `getGetRidOfInputs​(int index)` the input columns being projected out
`int` `getGetRidOfInputsCount()` the input columns being projected out
`List<Long>` `getGetRidOfInputsList()` the input columns being projected out

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getExtendNamesList

    List<String> getExtendNamesList()

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

Returns:
  A list containing the extendNames.

#### getExtendNamesCount

    int getExtendNamesCount()

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

Returns:
  The count of extendNames.

#### getExtendNames

    String getExtendNames​(int index)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The extendNames at the given index.

#### getExtendNamesBytes

    com.google.protobuf.ByteString getExtendNamesBytes​(int index)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the extendNames at the given index.

#### getExpressionsList

    List<PlanProtocol.PostfixExpression> getExpressionsList()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

#### getExpressions

    PlanProtocol.PostfixExpression getExpressions​(int index)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

#### getExpressionsCount

    int getExpressionsCount()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

#### getExpressionsOrBuilderList

    List<? extends PlanProtocol.PostfixExpressionOrBuilder> getExpressionsOrBuilderList()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

#### getExpressionsOrBuilder

    PlanProtocol.PostfixExpressionOrBuilder getExpressionsOrBuilder​(int index)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

#### getExtendTypesList

    List<String> getExtendTypesList()

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

Returns:
  A list containing the extendTypes.

#### getExtendTypesCount

    int getExtendTypesCount()

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

Returns:
  The count of extendTypes.

#### getExtendTypes

    String getExtendTypes​(int index)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The extendTypes at the given index.

#### getExtendTypesBytes

    com.google.protobuf.ByteString getExtendTypesBytes​(int index)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the extendTypes at the given index.

#### getExpressionNullableList

    List<Boolean> getExpressionNullableList()

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

Returns:
  A list containing the expressionNullable.

#### getExpressionNullableCount

    int getExpressionNullableCount()

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

Returns:
  The count of expressionNullable.

#### getExpressionNullable

    boolean getExpressionNullable​(int index)

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The expressionNullable at the given index.

#### getGetRidOfInputsList

    List<Long> getGetRidOfInputsList()

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

Returns:
  A list containing the getRidOfInputs.

#### getGetRidOfInputsCount

    int getGetRidOfInputsCount()

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

Returns:
  The count of getRidOfInputs.

#### getGetRidOfInputs

    long getGetRidOfInputs​(int index)

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The getRidOfInputs at the given index.

#### getGetRidOfExtendsList

    List<Long> getGetRidOfExtendsList()

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

Returns:
  A list containing the getRidOfExtends.

#### getGetRidOfExtendsCount

    int getGetRidOfExtendsCount()

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

Returns:
  The count of getRidOfExtends.

#### getGetRidOfExtends

    long getGetRidOfExtends​(int index)

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The getRidOfExtends at the given index.